package com.ajb.car.quotation.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.quotation.AgPoQuotationConfirm;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgPoQuotationConfirmService {
	AgPoQuotationConfirm save(AgPoQuotationConfirm agpoquotationconfirm);
	Boolean delete (Long id);
	AgPoQuotationConfirm update(AgPoQuotationConfirm agpoquotationconfirm);
	AgPoQuotationConfirm findById(Long id);
	Page<AgPoQuotationConfirm> findByObjPageable(AgPoQuotationConfirm agpoquotationconfirm,Pageable pageable);
	List<AgPoQuotationConfirm> findByObjSortable(AgPoQuotationConfirm agpoquotationconfirm,Sort sort);
}